/**<pre>
 * Title: GPS Simulator
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.1.11
 * </pre>
 */

package agent;

import util.*;
import java.awt.*;


/* ====================================================================== */
/** This class represents a wireless access point on the map.  It is a
 *  type of Agent with no special variables of its own.
 *
 */
public class AccessPoint extends Agent{


    /* ===================================================================== */
    /** This constructor initializes the access with the given information
     *
     *  @param  n   The name of the agent.
     *  @param  l   The starting pixel location of this agent on the map.
     *  @param  p   The starting gps position of this agent on the map.
     *  @param  r   The wireless network range of the agent.
     *
     */
  	public AccessPoint(String n, Point l, int r){
		super( n, l, new Position(), r );

	} //Constructor




} //class: AccessPoint

