// PosChangedMessage.java
package transport.protocol;

import java.awt.Point;

/**
 * This message is sent by the iPaq to the RouteHelper server to let it
 * know its current position.
 *
 * @author Amit G.
 */
public class PosChangedMessage extends Message {
    
  double lat; 
  double lng;
  String routeName;
  Point  point; // the pixel position

  public PosChangedMessage(int to, int from, double lat, double lng,
                           Point p, String routeName) {
	super(to, from);
	this.lat       = lat;
	this.lng       = lng;
    this.point     = p;
	this.routeName = routeName;
  }
  
  public String getRouteName() { return routeName; }
  public double getLatitude()  { return lat; }
  public double getLongitude() { return lng; }
  public Point  getPoint()     { return point; }
}


